﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Wpf;

namespace WorldStreetsSample_Wpf
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private string sqliteConnectionString = "Data Source=../../App_Data/DallasCounty-3857-20170218.sqlite;Version=3;Read Only=True;";

        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            WorldStreetsLayer osmWorldMapKitLayer = new WorldStreetsLayer(sqliteConnectionString);
            osmWorldMapKitLayer.Open();

            // Setup the overlay
            LayerOverlay layerOverlay = new LayerOverlay();
            layerOverlay.Layers.Add(osmWorldMapKitLayer);

            // Setup the map
            map.MapUnit = GeographyUnit.Meter;
            map.CurrentExtent = new RectangleShape(-10811578.0703145, 3892111.87754448, -10736211.3489208, 3839905.51779612);
            map.BackgroundOverlay.BackgroundBrush = new GeoSolidBrush(GeoColor.FromArgb(255, 172, 205, 226));

            // Add the overlay to the map
            map.Overlays.Add("worldmapkit", layerOverlay);

            osmWorldMapKitLayer.Open();
            map.CurrentExtent = osmWorldMapKitLayer.Layers[7].GetBoundingBox();

            map.Refresh();
        }
    }
}
